当前位置:首页 » IIS相关 » 正文

不能在同一 IIS 进程中运行不同版本的 ASP.NET

2015年11月12日 15:34:12  分类: IIS相关  参与: 人  点这评论

 原理:

        IIS 5.0 版使用 ASP.NET 进程模型 (Aspnet_wp.exe)。在 ASP.NET 进程模型下,每一个单独的应用程序版本在运行时自动运行在独立的进程中。定位到同一运行库版本的所有应用程序共享同一进程(或网络园模式中的多个进程)。 然而,IIS 6.0 使用 IIS 6.0 进程模型 (w3wp.exe),并使用一项隔离功能,称为应用程序池。只要应用程序共享同一池标识,应用程序池就允许它们在一个或多个进程中同时运行。如果应用程 序所分配的应用程序池不同,它们就永远不能在同一进程中运行。

警告

IIS 6.0 仅在处于 IIS 5.0 隔离模式时支持 ASP.NET 版本 1.0。

如果在使用 IIS 6.0 的计算机上安装了多个版本的 .NET Framework,您可能会在“应用程序事件”日志中看到下面的错误信息:

 “不能在同一 IIS 进程中运行不同版本的 ASP.NET。请使用 IIS 管理工具重新配置服务器,以便在单独的进程中运行应用程序。”

 如 果有多个版本的 ASP.NET 配置为在同一进程中进行,就会发生该错误,因为不同版本的 .NET Framework 和运行库不能在同一进程中并行运行。因此,使用某一特定版本的运行库的 ASP.NET 应用程序不能与使用其他版本的应用程序共享进程。如果两个或多个应用程序被映射到不同版本的 ASP.NET,但共享同一应用程序池,通常就会发生这一错误。

注意

每个应用程序的进程隔离都是手动配置的。

 解决:

    新建一个应用池就可以了    

来源:时间去哪儿了博客(微信/QQ号:903918446),转载请保留出处和链接!

本文链接:http://timegowhere.com/post/iiserror.html

本文标签:IIS    

<< 上一篇下一篇 >>

  • 评论(0)
  • 赞助本站

◎欢迎参与讨论,请在这里发表您的看法、交流您的观点。

搜索

网站分类

Tags列表

最新留言

微信公众号【双语悦读】

站点地图 | 网站标签 | 给我留言

Copyright © 2014-2016 timegowhere.com. All rights reserved. 粤ICP备15081222号